Name:           fest-swing
Version:        1.2.1
Release:        9%{?dist}
Summary:        FEST Swing

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://fest.easytesting.org

# from http://svn.codehaus.org/fest/tags/fest-swing-1.2.1
# use make-fest-tarball.sh to generate
Source0:        fest-swing-%{version}.tar.bz2
Source1:        make-fest-tarball.sh

# make sure dependencies match the available packages
Patch0:         remove-mock-deps.patch
Patch1:         fix-assert-deps.patch
Patch2:         fix-parent-pom.patch
Patch3:         fix-encoding.patch

BuildArch:      noarch

BuildRequires:  jcip-annotations
BuildRequires:  jpackage-utils
BuildRequires:  fest-common = 1.0.11
BuildRequires:  fest-util = 1.2.0

BuildRequires:  fest-reflect = 1.3
BuildRequires:  fest-assert = 1.4

BuildRequires:  maven-local
BuildRequires:  maven-enforcer-plugin
BuildRequires:  maven-surefire
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven-dependency-plugin

Requires:       jcip-annotations
Requires:       java
Requires:       jpackage-utils

Requires:       fest-common = 1.0.11
Requires:       fest-util = 1.2.0
Requires:       fest-reflect = 1.3
Requires:       fest-assert = 1.4

%description
Fluent interface for functional GUI testing

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

# skip test because we don't package fest-mock, since it indirectly
# requires a library who doesn't comply with the allowed lincenses
%build
mvn-rpmbuild \
        -Dmaven.test.skip=true \
        -e \
        install javadoc:javadoc

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar  %{buildroot}%{_javadir}/%{name}.jar

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE.txt

%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.2.1-8
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild


* Fri May 4 2012 Mario Torre <neugens@redhat.com> 1.2.1-6
- Cleanup patch

* Fri May 4 2012 Mario Torre <neugens@redhat.com> 1.2.1-5
- Add script to generate source from svn
- Add more depencencies

* Thu May 3 2012 Mario Torre <neugens@redhat.com> 1.2.1-4
- Renamed back to match Fedora packaging guidelines name

* Thu May 3 2012 Mario Torre <neugens@redhat.com> 1.2.1-3
- Renamed to match upstream name

* Thu May 3 2012 Mario Torre <neugens@redhat.com> 1.2.1-2
- Fix dependencies

* Wed Apr 25 2012 Mario Torre <neugens@redhat.com> 1.2.1-1
- Initial package
